if(!require(rcdk)){install.packages("rcdk");library(rcdk)}
#[1]
ifname<-"DataTableChemicalStructure.csv"
dataS<-read.csv(ifname,stringsAsFactors=FALSE)
mols<-parse.smiles(dataS[,4])
dep <- get.depictor(width=200, height=200)
molnames<-dataS[,2]
molnames
#[2]
nmol<-length(mols)
for(i in 1:nmol){
  img <- view.image.2d(mols[[i]], dep)
  plot(0:5, 0:5, type = "n", axes = FALSE, xlab = "", 
       ylab = "",main=molnames[i])
  rasterImage(img, 1,1,5,5)  
}